Skip to main content
GET
/
v1
/
subscriptions
/
list
List of Subscriptions
curl --request GET \
  --url https://app.getswipe.in/api/partner/v1/subscriptions/list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.getswipe.in/api/partner/v1/subscriptions/list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.getswipe.in/api/partner/v1/subscriptions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Details Fetched",
  "error_code": "",
  "errors": {},
  "data": {
    "transactions": [
      {
        "customer_id": "Cust123",
        "customer_name": "CUST123",
        "subscription_date": "10 June 2024",
        "subscription_start_time": "10 June 2024",
        "subscription_end_time": "10 Aug 2024",
        "sub_serial_number": "SUB-123",
        "repeat_every": 1,
        "repeat_unit": "months",
        "status": "active",
        "invoice_count": 1,
        "invoices": [
          {
            "name": "CUST123",
            "id": "Cust123",
            "serial_number": "INV-123",
            "status": "active",
            "hash_id": "SUB123",
            "record_time": "10 June 2024",
            "total_amount": 1000
          }
        ],
        "last_created_invoice": "10 June 2024",
        "upcoming_date": "10 June 2024",
        "hash_id": "SUB123",
        "total_amount": 1000
      }
    ],
    "total_records": 10
  }
}
{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {}
}
{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {}
}
{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Query Parameters

start_date
string
default:01-01-2024
required

Start date for the list, [DD-MM-YYY]

end_date
string
default:31-12-2024
required

End date for the list, [DD-MM-YYY]

status
enum<string>
default:all

Filter list based on status of the document

Available options:
all,
active,
expired,
error,
cancelled
num_records
string
default:10

Number of records to fetch

page
integer
default:1

Page number

customer_id
string

Customer ID

Response

Subscription List fetched successfully

success
boolean

Success flag

Example:

true

message
string

Message

Example:

"Details Fetched"

error_code
string

Error code

Example:

""

errors
object

Error details

data
object